org.apache.fop.render.pdf

## Class PDFEventProducer.Provider

- java.lang.Object
- - org.apache.fop.render.pdf.PDFEventProducer.Provider

Enclosing interface:
  PDFEventProducer

    public static final class PDFEventProducer.Provider
    extends Object

Provider class for the event producer.

### Method Summary

All Methods Static Methods Concrete Methods
`static PDFEventProducer` `get(EventBroadcaster broadcaster)` Returns an event producer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public static PDFEventProducer get(EventBroadcaster broadcaster)

Returns an event producer.

Parameters:
  `broadcaster` - the event broadcaster to use
Returns:
  the event producer